function y=ter_lune(vp,zl,Kfrein);

% -----------------------------------------------------------------------------------------
%                          SYNTHESE DE TOUTE L'ETUDE
% Calcul du prige de l'orbite de retour, connaissant la vitesse vp variable entre les 2
% limites 10.88 et 10.99 km/s, rendant l'entre dans la sphre d'influence possible.
%            Le rayon vecteur du prige terrestre est fix  6600 km
% -----------------------------------------------------------------------------------------

   data;      % Excution du programme des donnes gnrales


% *************************  CALCUL DE LA PLAGE psi POUR LA LUNE ************************
% *     de position permettant une recontre avec passage par l'avant de la Lune.
% ***************************************************************************************
 
  psilimite=plageav(vp);
  psi_min=min(psilimite);
  psi_max=max(psilimite);

% *************** CALCUL DU RAYON PERIGEE MINIMAL TERRE APRES SURVOL ***************** 

  rp2=1e12;k=0;
  for psi0=psi_min:0.05:psi_max;
      result=tremplin(psi0,zl,Kfrein);
      if result(1)<rp2,
        rp2=result(1);
        indice=k;
      end    
       k=k+1;          
  end

  psi0=psi_min+indice*0.05;
  y=tremplin(psi0,zl,Kfrein);

end
 