function y=trace(zl,Kfrein);


% **************************** VARIABLES D'ENTREE ***************************************
% *          zl est l'altitude de survol de la lune en km                               *
% *          Kfrein est un coefficient entre 0 et 1 de rduction de la vitesse          *
% *          au sortir de la sphre d'influence Lune                                    *
% ***************************************************************************************

% ***************************** MISSION COMPLETE TERRE-LUNE ******************************

  % vp doit rester comprise entre 10.88 10.99

  perigee=[];duree=[];vp0=[];deltaV=[];T_ALLER=[];T_LUNE=[];T_RETOUR=[];

  for k=0:2,
     vp=10.88+k*0.055;
     y=ter_lune(vp,zl,Kfrein);
     perigee=[perigee,y(1)];duree=[duree,y(2)];vp0=[vp0,vp];deltaV=[deltaV,y(6)];
     T_ALLER=[T_ALLER,y(7)];T_LUNE=[T_LUNE,y(8)];T_RETOUR=[T_RETOUR,y(9)];

  end
  disp('       PERIGEE MINIMUM=');
  perigee_mini=min(prige);

% ******* PREMIERE COURBE  *****  prige = f(vp,zl,Kfrein)  ******************
subplot(2,2,1);
  plot(vp0,perigee);                   % Courbe prige = f(vp,zl,Kfrein)
  title('DISTANCE (km)');
  xlabel('Vp en km/s');ylabel('Rayon vecteur prige');
  grid;
subplot(2,2,2);
  plot(vp0,duree);                   % Courbe dure = g(vp,zl,Kfrein) en jours
  title('DUREE VOYAGE en  jours');
  xlabel('Vp en km/s');ylabel('Dure');
subplot(2,2,3);
  plot(vp0,deltaV*1000);                    % Courbe DeltaV = h(vp,zl,Kfrein) en m/s
  title('FREINAGE m/s');
  xlabel('Vp en km/s');ylabel('DV en m/s');
  grid;
subplot(2,2,4);
  plot(vp0,T_ALLER,'g',vp0,T_LUNE,'r',vp0,T_RETOUR,'b');                    % Courbe DeltaV = h(vp,zl,Kfrein) en m/s
  title('Aller=vert, Lune=rouge, Retour=bleu ');
  xlabel('Vp en km/s');ylabel('Temps de vol (jours)');
  grid;

  figure(gcf);   % MONTRER LES GRAPHES

  y='Programme termin, changez de paramtres';

  end